List Payouts

Lists payouts across one or more merchants. Returns the full state history of each payout.

Authentication

AuthorizationBearer
OAuth 2.0 access token issued by the CrissCross authorisation server.

Query parameters

merchantIdslist of stringsRequired

Comma-separated list of merchant IDs to list payouts for.

Response

Payouts retrieved successfully.
transactionIdstring
Unique payout identifier.
currentStatestring
Current state name.
previousStateslist of strings
Ordered list of prior state names.
transactionStateslist of maps from strings to any
Detailed history of state transitions.
merchantReferencestring
Your reference for the payout.
processorstring
Payout processor used.
merchantNamestring
Merchant display name.
amountdouble
Payout amount.
currencystring

3-character ISO currency code.

paymentLocationstring

3-letter ISO country code.

paymentMethodIdstring

Payment method identifier (e.g. banktransfer).

transactionTypestring

Transaction type (e.g. PAYOUT).

processorReferencestring

Processor-side reference.

financialTransactionReferencestring
Financial transaction reference returned by the processor.
currentAttemptIdstring
Identifier of the current delivery attempt.
batchPayoutIdstring
Batch identifier when part of a batch payout.
identifiersmap from strings to strings
paymentAttributesmap from strings to strings

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error